Package org.apache.lucene.util.mutable

## Class MutableValueDate

- java.lang.Object
- - org.apache.lucene.util.mutable.MutableValue
  - - org.apache.lucene.util.mutable.MutableValueLong
    - - org.apache.lucene.util.mutable.MutableValueDate

- All Implemented Interfaces:
    `Comparable<MutableValue>`

      public class MutableValueDate
      extends MutableValueLong

  `MutableValue` implementation of type `Date`.
  See Also:
    `MutableValueLong`

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.util.mutable.MutableValueLong

      `value`

    - ### Fields inherited from class org.apache.lucene.util.mutable.MutableValue

      `exists`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MutableValueDate()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MutableValue` | `duplicate()` |
    `Object` | `toObject()` |

    - ### Methods inherited from class org.apache.lucene.util.mutable.MutableValueLong

      `compareSameType, copy, equalsSameType, hashCode`

    - ### Methods inherited from class org.apache.lucene.util.mutable.MutableValue

      `compareTo, equals, exists, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableValueDate

          public MutableValueDate()

  - ### Method Detail

    - #### toObject

          public Object toObject()

      Overrides:
        `toObject` in class `MutableValueLong`

    - #### duplicate

          public MutableValue duplicate()

      Overrides:
        `duplicate` in class `MutableValueLong`